# frozen_string_literal: true

module WAG
  module Type
    require 'wag/types/base'
    require 'wag/types/f32'
    require 'wag/types/f64'
    require 'wag/types/i32'
    require 'wag/types/i64'

    module_function

    def from(type)
      return type if type.is_a?(WAG::Type::Base)

      const_get(WAG::Inflector.inflector.camelize(type.to_s)).new
    end
  end
end
