# frozen_string_literal: true

module WAG
  class Data
    include WAG::Encodable

    attr_reader :offset, :value

    def initialize(offset, value)
      @offset = offset.to_i
      @value = value
    end

    def to_sexpr
      [:data, [:"i32.const", offset], value]
    end
  end
end
