# frozen_string_literal: true

module WAG
  module Instruction
    class CallIndirect < Base.instruction(0x11)
      prepend WAG::Instructable
      def result(*types)
        @result = WAG::Result.new(*types)
      end

      def to_sexpr
        return [name, @result.to_sexpr] if @result

        super()
      end
    end
  end
end
