# frozen_string_literal: true

module WAG
  class Table
    include WAG::Encodable
    attr_reader :elements, :type

    def initialize(elements, type = :anyfunc)
      @elements = elements
      @type = type
    end

    def to_sexpr
      [:table, elements, type]
    end
  end
end
