# frozen_string_literal: true

module WAG
  # Then is not an instruction, but a nested keyword.
  class Then
    include WAG::Encodable
    prepend WAG::Instructable

    def to_sexpr
      :then
    end
  end
end
