# frozen_string_literal: true

module WAG
  # A container for the WebAssembly text format.
  class WAT
    def initialize(source)
      @source = source
    end

    def to_wasm
      WAG::WASM.new(WAG::WABT.new.wat2wasm(@source))
    end

    def to_s
      @source
    end
  end
end
